Package: groovy.org.codenarc.rule.naming

## [Groovy] Class ScopedConfusingMethodNameAstVisitor

- groovy.org.codenarc.rule.naming.ScopedConfusingMethodNameAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `lowercaseClosureNames`
    `def` | `lowercaseFieldNames`
    `def` | `lowercaseMethodNames`
    `def` | `lowercaseMethodNamesWithParameterTypes`
    `def` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScopedConfusingMethodNameAstVisitor (AbstractAstVisitor parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode node)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`

- - ### Property Detail

    - #### def lowercaseClosureNames

    - #### def lowercaseFieldNames

    - #### def lowercaseMethodNames

    - #### def lowercaseMethodNamesWithParameterTypes

    - #### def parent

  - ### Constructor Detail

    - #### ScopedConfusingMethodNameAstVisitor(AbstractAstVisitor parent)

  - ### Method Detail

    - #### void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### void visitField(org.codehaus.groovy.ast.FieldNode node)

    - #### void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)